If you noticed your Mozilla client updating rather sharpish in the last few days then there was a reason for it – the outfit was plugging a remote execution flaw.

That’s according to a number of sources, including (among others) eWeek. The hurry makes this highly likely as Firefox has had very few such high alerts since it became browser number 2 in the relatively recent past.

"Mozilla Corporation is also strongly recommending that Firefox 1.0 users upgrade to this latest release of Firefox 1.5 in order to take advantage of significant security and stability improvements," a Mozilla spokesperson was reported to have said. Ugh, yes. If you’re using a browser that old you need more convincing.

The new version is 1.5.0.2, but you already know that if you’re a Mozilla-ite.

Personally, I’d settle for a web browser that has 100 percent website compatibility, an issue that Mozilla has yet to crack though it’s no fault of theirs.